claw::pattern::factory< BaseClass, IdentifierType > Class Template Reference

The design pattern of the factory allow to dynamically instanciate classes of various types given an identifier of this type. More...

`#include <factory.hpp>`

## Public Member Functions

template<typename T>
bool | register_type (const identifier_type &id)
base_class * | create (const identifier_type &id) const
bool | is_known_type (const identifier_type &id) const

## Detailed Description

template<typename BaseClass, typename IdentifierType>
class claw::pattern::factory< BaseClass, IdentifierType >

The design pattern of the factory allow to dynamically instanciate classes of various types given an identifier of this type.

Template parameters:

- BaseClass A base class for all classes instanciated by this factory.
- IdentifierType The type of the identifiers of the classes instanciated by this factory.

Type requirements:

- IdentifierType must be "less than" comparable.

Definition at line 77 of file factory.hpp.

The documentation for this class was generated from the following file:

- factory.hpp